package config

import (
	"fmt"
	"path"
	"strings"

	occp "git.loafle.net/overflow/commons-go/config/probe"
)

func ContainerPIDFilePath(containerType occp.ContainerType) string {
	return path.Join(PIDDir(), fmt.Sprintf("%s.pid", strings.ToLower(containerType.String())))
}

func ContainerBinFilePath(containerType occp.ContainerType) string {
	return path.Join(BinDir(), occp.ContainerBinFileName[containerType])
}

func ContainerLoggingConfigFilePath(containerType occp.ContainerType) string {
	return path.Join(BinDir(), occp.ContainerLoggingConfigFileName[containerType])
}
